claw::pattern Namespace Reference

Here are the design patterns. More...

## Classes

class | basic_singleton
| A (really) basic implementation of the singleton design pattern. More...
class | bad_type_identifier
| Exception thrown when an incorrect identifier is given to a type. More...
class | factory
| The design pattern of the factory allow to dynamically instanciate classes of various types given an identifier of this type. More...
class | non_copyable
| Inherit from this class to forbid construction of your class by copy. More...

## Detailed Description

Here are the design patterns.